Subject: Re: linux-next: runtime warning in next-20220125

From: Chuck Lever III <[email-masked]>
Date: Tue, 25 Jan 2022 15:49:10 +0000

> On Jan 25, 2022, at 10:46 AM, Steven Rostedt <[email-masked]> wrote:
> 
> On Tue, 25 Jan 2022 15:38:22 +0000
> Chuck Lever III <[email-masked]> wrote:
> 
>>> This should fix it:
>>> 
>>> I'll make it a real patch and start running it through my tests.  
>> 
>> Should this be squashed into the patch that adds __get_sockaddr() ?
>> 
>> I have an updated version of that patch that applies on kernels
>> that have __rel_dynamic_array.
> 
> Heh, I thought the patch was already in mainline.

Nope, you said you might still be testing it, so I held it back
from v5.17. But it is in linux-next now via the nfsd tree.

> I just posted the fix.
> 
> Just add it to your queue. No need to squash it.
> 
> You can remove the Fixes: tag, as it may not reference the right commit.

Thanks!

--
Chuck Lever